[Kernel-packages] [Bug 1754551] Re: Kernel 3.13.0-143 breaks multi-monitor support

2018-03-11 Thread Ross Campbell
This is the new error I get with this kernel upon bootup from dmesg: [ 43.172202] nvidia: version magic '3.13.0-143-generic SMP mod_unload modversions ' should be '3.13.0-143-generic SMP mod_unload modversions retpoline ' -- You received this bug notification because you are a member of

[Kernel-packages] [Bug 1750937] Re: 4.4.0-116 Kernel update on 2/21 breaks Nvidia drivers (on 14.04 and 16.04) by an insufficient compiler!

2018-03-13 Thread Ross Campbell
Multiple Ubuntu 14.04 systems with newer compilers, and I don't really want to remove them... Can we get updated compilers in the ubuntu-toolchain-r/test ppa ... or optional kernels without 'retpoline'? -- You received this bug notification because you are a member of Kernel Packages, which is

[Kernel-packages] [Bug 1754551] Re: Kernel 3.13.0-143 breaks multi-monitor support

2018-03-13 Thread Ross Campbell
... and as above, the same error in /var/log/syslog: Mar 13 21:55:09 Godzilla kernel: [ 20.720161] nvidia: version magic '3.13.0-143-generic SMP mod_unload modversions ' should be '3.13.0-143-generic SMP mod_unload modversions retpoline ' This is running the Nvidia driver 384.111 So, I would

[Kernel-packages] [Bug 1754551] Re: Kernel 3.13.0-143 breaks multi-monitor support

2018-03-13 Thread Ross Campbell
ok... this issue is FAR more widespread than I see reported here. I just upgraded my other Ubuntu 14.04 system -- this one has an NVidia GeForce 1060, and my nvidia driver won't load, it instead loads Nouveau -- You received this bug notification because you are a member of Kernel Packages,

[Kernel-packages] [Bug 1754551] Re: Kernel 3.13.0-143 breaks multi-monitor support

2018-03-10 Thread Ross Campbell
I have a Nvidia GeForce 210 card, and this kernel broke the Nvidia Video Driver kernel module for Nvidia-340-102 video driver. System boots up and doesn't use nvidia driver, which makes the system hardly usable for my purposes. -- You received this bug notification because you are a member of

[Kernel-packages] [Bug 1754551] Re: Kernel 3.13.0-143 breaks multi-monitor support

2018-03-14 Thread Ross Campbell
Here's the issue: The newer kernels have the retpoline Spectre mitigation. You're going to need to rebuild your nvidia.ko kernel module with a patched version of the stock distribution gcc. Here is the bug: https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1750937 -- You received this bug